Page MenuHomePhabricator

Display titles with italics show as HTML
Closed, ResolvedPublic

Description

For example, page 1 sets a display title:

This is the {{DISPLAYTITLE:Display ''title''}} of this page.

and page 2 uses it:

and what is the title of [[DisplayTitle]]?

And it displays as:

and what is the title of Display <i>title</i>?

I've started a patch https://gerrit.wikimedia.org/r/#/c/393057/ for this, but haven't solved the problem at all, just written a test for it.

Event Timeline

Restricted Application removed a project: Patch-For-Review. · View Herald TranscriptNov 23 2017, 12:28 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 393057 had a related patch set uploaded (by Samwilson; owner: Samwilson):
[mediawiki/extensions/DisplayTitle@master] Add test for italics in title

https://gerrit.wikimedia.org/r/393057

Izno added a subscriber: Izno.Nov 23 2017, 1:52 PM
This comment was removed by Izno.

Thank you for reporting this! I just added some code to fix this to your patch.

Change 393057 merged by Cicalese:
[mediawiki/extensions/DisplayTitle@master] Fix HTML formatting in title.

https://gerrit.wikimedia.org/r/393057

Izno removed a subscriber: Izno.Nov 24 2017, 12:56 PM
CCicalese_WMF closed this task as Resolved.Nov 24 2017, 1:37 PM
CCicalese_WMF claimed this task.
cicalese claimed this task.Jan 11 2018, 3:18 PM
cicalese edited subscribers, added: cicalese; removed: CCicalese_WMF.